---@meta

---@class FThreadingOptions
---@field bUseGlobalThreadPool boolean
---@field IntraOpNumThreads int32
---@field InterOpNumThreads int32
---@field ExecutionMode EExecutionMode
local FThreadingOptions = {}



---@class UNNERuntimeORTCpu : UObject
local UNNERuntimeORTCpu = {}


---@class UNNERuntimeORTDmlProxy : UObject
local UNNERuntimeORTDmlProxy = {}


---@class UNNERuntimeORTDml_GPU : UNNERuntimeORTDmlProxy
local UNNERuntimeORTDml_GPU = {}


---@class UNNERuntimeORTDml_GPU_NPU : UNNERuntimeORTDmlProxy
local UNNERuntimeORTDml_GPU_NPU = {}


---@class UNNERuntimeORTDml_GPU_RDG : UNNERuntimeORTDmlProxy
local UNNERuntimeORTDml_GPU_RDG = {}


---@class UNNERuntimeORTDml_GPU_RDG_NPU : UNNERuntimeORTDmlProxy
local UNNERuntimeORTDml_GPU_RDG_NPU = {}


---@class UNNERuntimeORTDml_NPU : UNNERuntimeORTDmlProxy
local UNNERuntimeORTDml_NPU = {}


---@class UNNERuntimeORTDml_RDG : UNNERuntimeORTDmlProxy
local UNNERuntimeORTDml_RDG = {}


---@class UNNERuntimeORTDml_RDG_NPU : UNNERuntimeORTDmlProxy
local UNNERuntimeORTDml_RDG_NPU = {}


---@class UNNERuntimeORTSettings : UDeveloperSettings
---@field EditorThreadingOptions FThreadingOptions
---@field GameThreadingOptions FThreadingOptions
local UNNERuntimeORTSettings = {}



